Package csb :: Package bio :: Package io :: Module procheck :: Class ProcheckParser

[frames] | no frames]

# Class ProcheckParser

source code

Simple Prochceck Summary parser

Instance Methods

__init__(self) | source code

parse(self, fn) Returns: dicttionary of parsed quality indicatiors | source code

run(self, pdb_file) Runs procheck for the given pdbfile and parses the output. | source code

Method Details

### parse(self, fn)

source code

Parameters:
  - `fn` (str) - source file to parse
Returns:
  dicttionary of parsed quality indicatiors

### run(self, pdb_file)

source code

Runs procheck for the given pdbfile and parses the output. Will fail if the procheck binary is not in the path.

Parameters:
  - `pdb_file` - file to parse
Returns:
  dict of parsed values